Bug 104040 - shells/bash lacks support for rbash
shells/bash lacks support for rbash
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: obrien
Depends on:
  Show dependency treegraph
Reported: 2006-10-06 06:10 UTC by freebsd
Modified: 2007-06-29 00:30 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2006-10-06 06:10:13 UTC
	While working on setting up a restricted shell on one of my home
	machines, I found that the bash port doesn't have any framework
	to create PREFIX/bin/rbash.  Since one cannot set a users' shell
	in passwd to "/usr/local/bin/bash -r", this does pose a problem.

	Solution is obvious: just ln -s or ln bash to rbash.  But it
	would be great if the port could do this, as well as update
	/etc/shells to reflect support for rbash.


I'd propose adding something called WITH_RBASH which would make a
	hardlink for rbash, and of course track it in the package list
	so it gets removed on pkg_delete.  Same goes for updating /etc/shells
	when the port with rbash support is added and removed.

	Either that or one could just make the port do this by default and
	go with WITHOUT_RBASH, but I think *most* people won't use this
	feature, so I'm voting for WITH_RBASH.  :-)

How-To-Repeat: 	n/a
Comment 1 Edwin Groothuis freebsd_committer 2006-10-06 06:10:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer
Comment 2 dfilter freebsd_committer 2007-06-29 00:25:22 UTC
obrien      2007-06-28 23:25:16 UTC

  FreeBSD ports repository

  Modified files:
    shells/bash          Makefile pkg-deinstall pkg-install 
  Add rbash.
  PR:             104040
  Submitted by:   Jeremy Chadwick <freebsd@jdc.parodius.com>
  Revision  Changes    Path
  1.96      +2 -1      ports/shells/bash/Makefile
  1.3       +12 -1     ports/shells/bash/pkg-deinstall
  1.3       +9 -1      ports/shells/bash/pkg-install
  1.23      +2 -1      ports/shells/bash/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 obrien freebsd_committer 2007-06-29 00:25:23 UTC
State Changed
From-To: open->closed

rbash added.  Thanks!